package contact

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/contact"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /contact/changeBlockList contact ChangeBlockList
//

//

//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: changeBlockListReq
//
// Responses:
//  200: BaseMsgResp

func ChangeBlockListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ChangeBlockListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := contact.NewChangeBlockListLogic(r.Context(), svcCtx)
		resp, err := l.ChangeBlockList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
